// SPDX-FileCopyrightText: 2019 The Go Language Server Authors
// SPDX-License-Identifier: BSD-3-Clause

//go:build gojay
// +build gojay

package protocol

const (
	keyActions                           = "actions"
	keyActiveParameter                   = "activeParameter"
	keyActiveParameterSupport            = "activeParameterSupport"
	keyActiveSignature                   = "activeSignature"
	keyActiveSignatureHelp               = "activeSignatureHelp"
	keyAdded                             = "added"
	keyAdditionalPropertiesSupport       = "additionalPropertiesSupport"
	keyAdditionalTextEdits               = "additionalTextEdits"
	keyAlpha                             = "alpha"
	keyAnnotationID                      = "annotationId"
	keyApplied                           = "applied"
	keyApplyEdit                         = "applyEdit"
	keyArguments                         = "arguments"
	keyBlue                              = "blue"
	keyCallHierarchy                     = "callHierarchy"
	keyCallHierarchyProvider             = "callHierarchyProvider"
	keyCancellable                       = "cancellable"
	keyCapabilities                      = "capabilities"
	keyCh                                = "ch"
	keyChange                            = "change"
	keyChangeAnnotations                 = "changeAnnotations"
	keyChangeAnnotationSupport           = "changeAnnotationSupport"
	keyChangeNotifications               = "changeNotifications"
	keyChanges                           = "changes"
	keyCharacter                         = "character"
	keyChildren                          = "children"
	keyClientInfo                        = "clientInfo"
	keyCode                              = "code"
	keyCodeAction                        = "codeAction"
	keyCodeActionKind                    = "codeActionKind"
	keyCodeActionKinds                   = "codeActionKinds"
	keyCodeActionLiteralSupport          = "codeActionLiteralSupport"
	keyCodeActionProvider                = "codeActionProvider"
	keyCodeDescription                   = "codeDescription"
	keyCodeDescriptionSupport            = "codeDescriptionSupport"
	keyCodeLens                          = "codeLens"
	keyCodeLensProvider                  = "codeLensProvider"
	keyColor                             = "color"
	keyColorProvider                     = "colorProvider"
	keyCommand                           = "command"
	keyCommands                          = "commands"
	keyCommitCharacters                  = "commitCharacters"
	keyCommitCharactersSupport           = "commitCharactersSupport"
	keyCompletion                        = "completion"
	keyCompletionItem                    = "completionItem"
	keyCompletionItemKind                = "completionItemKind"
	keyCompletionProvider                = "completionProvider"
	keyConfiguration                     = "configuration"
	keyContainerName                     = "containerName"
	keyContentChanges                    = "contentChanges"
	keyContentFormat                     = "contentFormat"
	keyContents                          = "contents"
	keyContext                           = "context"
	keyContextSupport                    = "contextSupport"
	keyData                              = "data"
	keyDataSupport                       = "dataSupport"
	keyDeclaration                       = "declaration"
	keyDeclarationProvider               = "declarationProvider"
	keyDefinition                        = "definition"
	keyDefinitionProvider                = "definitionProvider"
	keyDeleteCount                       = "deleteCount"
	keyDeprecated                        = "deprecated"
	keyDeprecatedSupport                 = "deprecatedSupport"
	keyDescription                       = "description"
	keyDetail                            = "detail"
	keyDiagnostics                       = "diagnostics"
	keyDidChangeConfiguration            = "didChangeConfiguration"
	keyDidChangeWatchedFiles             = "didChangeWatchedFiles"
	keyDidCreate                         = "didCreate"
	keyDidDelete                         = "didDelete"
	keyDidRename                         = "didRename"
	keyDidSave                           = "didSave"
	keyDisabled                          = "disabled"
	keyDisabledSupport                   = "disabledSupport"
	keyDocumentation                     = "documentation"
	keyDocumentationFormat               = "documentationFormat"
	keyDocumentChanges                   = "documentChanges"
	keyDocumentFormattingProvider        = "documentFormattingProvider"
	keyDocumentHighlight                 = "documentHighlight"
	keyDocumentHighlightProvider         = "documentHighlightProvider"
	keyDocumentLink                      = "documentLink"
	keyDocumentLinkProvider              = "documentLinkProvider"
	keyDocumentOnTypeFormattingProvider  = "documentOnTypeFormattingProvider"
	keyDocumentRangeFormattingProvider   = "documentRangeFormattingProvider"
	keyDocumentSelector                  = "documentSelector"
	keyDocumentSymbol                    = "documentSymbol"
	keyDocumentSymbolProvider            = "documentSymbolProvider"
	keyDynamicRegistration               = "dynamicRegistration"
	keyEdit                              = "edit"
	keyEdits                             = "edits"
	keyEnd                               = "end"
	keyEndCharacter                      = "endCharacter"
	keyEndLine                           = "endLine"
	keyEngine                            = "engine"
	keyEvent                             = "event"
	keyExecuteCommand                    = "executeCommand"
	keyExecuteCommandProvider            = "executeCommandProvider"
	keyExperimental                      = "experimental"
	keyExternal                          = "external"
	keyFailedChange                      = "failedChange"
	keyFailureHandling                   = "failureHandling"
	keyFailureReason                     = "failureReason"
	keyFileOperations                    = "fileOperations"
	keyFiles                             = "files"
	keyFilters                           = "filters"
	keyFilterText                        = "filterText"
	keyFirstTriggerCharacter             = "firstTriggerCharacter"
	keyFoldingRange                      = "foldingRange"
	keyFoldingRangeProvider              = "foldingRangeProvider"
	keyFormats                           = "formats"
	keyFormatting                        = "formatting"
	keyFrom                              = "from"
	keyFromRanges                        = "fromRanges"
	keyFull                              = "full"
	keyGeneral                           = "general"
	keyGlob                              = "glob"
	keyGlobPattern                       = "globPattern"
	keyGreen                             = "green"
	keyGroupsOnLabel                     = "groupsOnLabel"
	keyHierarchicalDocumentSymbolSupport = "hierarchicalDocumentSymbolSupport"
	keyHonorsChangeAnnotations           = "honorsChangeAnnotations"
	keyHover                             = "hover"
	keyHoverProvider                     = "hoverProvider"
	keyHref                              = "href"
	keyID                                = "id"
	keyIgnoreCase                        = "ignoreCase"
	keyIgnoreIfExists                    = "ignoreIfExists"
	keyIgnoreIfNotExists                 = "ignoreIfNotExists"
	keyImplementation                    = "implementation"
	keyImplementationProvider            = "implementationProvider"
	keyIncludeDeclaration                = "includeDeclaration"
	keyIncludeText                       = "includeText"
	keyInitializationOptions             = "initializationOptions"
	keyInsert                            = "insert"
	keyInsertFinalNewline                = "insertFinalNewline"
	keyInsertReplaceSupport              = "insertReplaceSupport"
	keyInsertSpaces                      = "insertSpaces"
	keyInsertText                        = "insertText"
	keyInsertTextFormat                  = "insertTextFormat"
	keyInsertTextMode                    = "insertTextMode"
	keyInsertTextModeSupport             = "insertTextModeSupport"
	keyIsIncomplete                      = "isIncomplete"
	keyIsPreferred                       = "isPreferred"
	keyIsPreferredSupport                = "isPreferredSupport"
	keyIsRetrigger                       = "isRetrigger"
	keyItem                              = "item"
	keyItems                             = "items"
	keyKey                               = "key"
	keyKind                              = "kind"
	keyLabel                             = "label"
	keyLabelOffsetSupport                = "labelOffsetSupport"
	keyLabelSupport                      = "labelSupport"
	keyLanguage                          = "language"
	keyLanguageID                        = "languageId"
	keyLine                              = "line"
	keyLineFoldingOnly                   = "lineFoldingOnly"
	keyLinkedEditingRange                = "linkedEditingRange"
	keyLinkedEditingRangeProvider        = "linkedEditingRangeProvider"
	keyLinkSupport                       = "linkSupport"
	keyLocale                            = "locale"
	keyLocation                          = "location"
	keyMarkdown                          = "markdown"
	keyMatches                           = "matches"
	keyMessage                           = "message"
	keyMessageActionItem                 = "messageActionItem"
	keyMethod                            = "method"
	keyMoniker                           = "moniker"
	keyMonikerProvider                   = "monikerProvider"
	keyMoreTriggerCharacter              = "moreTriggerCharacter"
	keyMultilineTokenSupport             = "multilineTokenSupport"
	keyName                              = "name"
	keyNeedsConfirmation                 = "needsConfirmation"
	keyNewName                           = "newName"
	keyNewText                           = "newText"
	keyNewURI                            = "newUri"
	keyNormalizesLineEndings             = "normalizesLineEndings"
	keyOldURI                            = "oldUri"
	keyOnly                              = "only"
	keyOnTypeFormatting                  = "onTypeFormatting"
	keyOpenClose                         = "openClose"
	keyOptions                           = "options"
	keyOriginSelectionRange              = "originSelectionRange"
	keyOverlappingTokenSupport           = "overlappingTokenSupport"
	keyOverwrite                         = "overwrite"
	keyParameterInformation              = "parameterInformation"
	keyParameters                        = "parameters"
	keyParent                            = "parent"
	keyParser                            = "parser"
	keyPartialResultToken                = "partialResultToken"
	keyPattern                           = "pattern"
	keyPercentage                        = "percentage"
	keyPosition                          = "position"
	keyPositions                         = "positions"
	keyPrepareProvider                   = "prepareProvider"
	keyPrepareSupport                    = "prepareSupport"
	keyPrepareSupportDefaultBehavior     = "prepareSupportDefaultBehavior"
	keyPreselect                         = "preselect"
	keyPreselectSupport                  = "preselectSupport"
	keyPreviousResultID                  = "previousResultId"
	keyProcessID                         = "processId"
	keyProperties                        = "properties"
	keyPublishDiagnostics                = "publishDiagnostics"
	keyQuery                             = "query"
	keyRange                             = "range"
	keyRangeFormatting                   = "rangeFormatting"
	keyRangeLength                       = "rangeLength"
	keyRangeLimit                        = "rangeLimit"
	keyRanges                            = "ranges"
	keyReason                            = "reason"
	keyRecursive                         = "recursive"
	keyRed                               = "red"
	keyReferences                        = "references"
	keyReferencesProvider                = "referencesProvider"
	keyRefreshSupport                    = "refreshSupport"
	keyRegisterOptions                   = "registerOptions"
	keyRegistrations                     = "registrations"
	keyRegularExpressions                = "regularExpressions"
	keyRelatedInformation                = "relatedInformation"
	keyRemoved                           = "removed"
	keyRename                            = "rename"
	keyRenameProvider                    = "renameProvider"
	keyReplace                           = "replace"
	keyRequests                          = "requests"
	keyResolveProvider                   = "resolveProvider"
	keyResolveSupport                    = "resolveSupport"
	keyResourceOperations                = "resourceOperations"
	keyResultID                          = "resultId"
	keyRetriggerCharacters               = "retriggerCharacters"
	keyRetry                             = "retry"
	keyRootPath                          = "rootPath"
	keyRootURI                           = "rootUri"
	keySave                              = "save"
	keyScheme                            = "scheme"
	keyScopeURI                          = "scopeUri"
	keySection                           = "section"
	keySelection                         = "selection"
	keySelectionRange                    = "selectionRange"
	keySelectionRangeProvider            = "selectionRangeProvider"
	keySemanticTokens                    = "semanticTokens"
	keySemanticTokensProvider            = "semanticTokensProvider"
	keyServerInfo                        = "serverInfo"
	keySettings                          = "settings"
	keySeverity                          = "severity"
	keyShowDocument                      = "showDocument"
	keyShowMessage                       = "showMessage"
	keySignatureHelp                     = "signatureHelp"
	keySignatureHelpProvider             = "signatureHelpProvider"
	keySignatureInformation              = "signatureInformation"
	keySignatures                        = "signatures"
	keySnippetSupport                    = "snippetSupport"
	keySortText                          = "sortText"
	keySource                            = "source"
	keyStart                             = "start"
	keyStartCharacter                    = "startCharacter"
	keyStartLine                         = "startLine"
	keySuccess                           = "success"
	keySupport                           = "support"
	keySupported                         = "supported"
	keySymbol                            = "symbol"
	keySymbolKind                        = "symbolKind"
	keySynchronization                   = "synchronization"
	keySyncKind                          = "syncKind"
	keyTabSize                           = "tabSize"
	keyTags                              = "tags"
	keyTagSupport                        = "tagSupport"
	keyTakeFocus                         = "takeFocus"
	keyTarget                            = "target"
	keyTargetRange                       = "targetRange"
	keyTargetSelectionRange              = "targetSelectionRange"
	keyTargetURI                         = "targetUri"
	keyText                              = "text"
	keyTextDocument                      = "textDocument"
	keyTextDocumentSync                  = "textDocumentSync"
	keyTextEdit                          = "textEdit"
	keyTitle                             = "title"
	keyTo                                = "to"
	keyToken                             = "token"
	keyTokenModifiers                    = "tokenModifiers"
	keyTokenTypes                        = "tokenTypes"
	keyTooltip                           = "tooltip"
	keyTooltipSupport                    = "tooltipSupport"
	keyTrace                             = "trace"
	keyTriggerCharacter                  = "triggerCharacter"
	keyTriggerCharacters                 = "triggerCharacters"
	keyTriggerKind                       = "triggerKind"
	keyTrimFinalNewlines                 = "trimFinalNewlines"
	keyTrimTrailingWhitespace            = "trimTrailingWhitespace"
	keyType                              = "type"
	keyTypeDefinition                    = "typeDefinition"
	keyTypeDefinitionProvider            = "typeDefinitionProvider"
	keyUnregisterations                  = "unregisterations"
	keyURI                               = "uri"
	keyValue                             = "value"
	keyValueSet                          = "valueSet"
	keyVerbose                           = "verbose"
	keyVersion                           = "version"
	keyVersionSupport                    = "versionSupport"
	keyWatchers                          = "watchers"
	keyWillCreate                        = "willCreate"
	keyWillDelete                        = "willDelete"
	keyWillRename                        = "willRename"
	keyWillSave                          = "willSave"
	keyWillSaveWaitUntil                 = "willSaveWaitUntil"
	keyWindow                            = "window"
	keyWordPattern                       = "wordPattern"
	keyWorkDoneProgress                  = "workDoneProgress"
	keyWorkDoneToken                     = "workDoneToken"
	keyWorkspace                         = "workspace"
	keyWorkspaceEdit                     = "workspaceEdit"
	keyWorkspaceFolders                  = "workspaceFolders"
	keyWorkspaceSymbolProvider           = "workspaceSymbolProvider"
)
